Subject: Re: [Bitcoin-development] performance testing for bitcoin

From: Ian Miers <[email-masked]>
Date: Wed, 3 Oct 2012 13:38:13 -0400

Whats the best way to get performance numbers for modifications to bitcoin
? Profiling it while running on testnet might work, but that would take a
rather long time to get data.
Is there anyway to speed this up  if we only needed to
provide  relative performance between tests. (in a sense a fast performance
regression test).

At least in theory, one possibility would be to replay real
bitcoin transactions  to a test-net-in-a-box network (of maybe a few nodes)
that has the real blockchain history loaded into it but then operates at a
far reduced hash difficulty in order facilitate running quickly.

Are there existing techniques/scripts for  some kind of perf testing with
traffic that at least approximates real world traffic ?
The test infrastructure  that ships with bitcoin does not appear to provide
this.

Thanks,
Ian